umbrello: SelectDiagramWidget Class Reference

umbrello 2.38.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SelectDiagramWidget Class Reference

`#include <selectdiagramwidget.h>`

Inheritance diagram for SelectDiagramWidget:

## Public Member Functions
| SelectDiagramWidget (const QString &title, QWidget *parent=nullptr)
void | setupWidget (Uml::DiagramType::Enum type, const QString &currentName, const QString &excludeName, bool withNewEntry=true)
QString | currentText ()
Uml::ID::Type | currentID ()
Public Member Functions inherited from ComboBoxWidgetBase
| ComboBoxWidgetBase (const QString &title, const QString &postLabel=QString(), QWidget *parent=nullptr)
void | addToLayout (QGridLayout *layout, int row, int startColumn=0)
KComboBox * | editField ()

## Additional Inherited Members
Protected Attributes inherited from ComboBoxWidgetBase
QLabel * | m_label
QLabel * | m_postLabel
KComboBox * | m_editField

## Detailed Description

This widget provides selecting a diagram from the list of currently available diagrams

Author
  Ralf Habacker

## Constructor & Destructor Documentation

## ◆ SelectDiagramWidget()

SelectDiagramWidget::SelectDiagramWidget | ( | const QString & | title,
|  | QWidget * | parent = `nullptr`
| ) |  |
| explicit

constructor

Parameters

  title | title shown as label
  parent | parent widget

## Member Function Documentation

## ◆ currentID()

Uml::ID::Type SelectDiagramWidget::currentID | ( |  | ) |

Return the id of the currently selected diagram

Returns
  id of diagram
  Uml::ID::None in case the diagram was not found

## ◆ currentText()

QString SelectDiagramWidget::currentText | ( |  | ) |

Return current text

Returns
  The text entered by the user

## ◆ setupWidget()

void SelectDiagramWidget::setupWidget | ( | Uml::DiagramType::Enum | type,
|  | const QString & | currentName,
|  | const QString & | excludeName,
|  | bool | withNewEntry = `true`
| ) |  |

setup widget woth diagram type, currently used diagram, diagram name to exclude and an option to choose a new diagram

Parameters

  type |
  currentName |
  excludeName |
  withNewEntry |

The documentation for this class was generated from the following files:

- umbrello/dialogs/widgets/selectdiagramwidget.h
- umbrello/dialogs/widgets/selectdiagramwidget.cpp